#version 430 core

layout(triangles) in;
layout(triangle_strip, max_vertices = 18) out;

uniform mat4 cubemapMatrix[6];

out vec4 fragPositionWorld;

void main(void)
{
	for(gl_Layer = 0; gl_Layer < 6; ++gl_Layer)
	{
		for(int tri = 0; tri < 3; ++tri)
		{
			fragPositionWorld = gl_in[tri].gl_Position;
			gl_Position = cubemapMatrix[gl_Layer] * fragPositionWorld;
			EmitVertex();
		}
		EndPrimitive();
	}
}