#version 430 core

uniform vec2 nearFarPlane;
uniform vec3 lightPosition;

in vec4 fragPositionWorld;

void main(void)
{
	float dist = distance(fragPositionWorld, vec4(lightPosition, 1.0f));
	float distNormalized = dist / nearFarPlane.y;
	gl_FragDepth = distNormalized;
}
